#!/bin/sh -e
#  /usr/lib/emacsen-common/packages/install/wnn7egg
# [ This particular script hasn't been tested, so be careful. ]
### based on Debian wnn7egg_1.02-7.diff.gz

set -e

FLAVOR=$1
PACKAGE="wnn7egg"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el";

SITELISP=/usr/share/${FLAVOR}/site-lisp

EL_ONLY="eggrc-wnn7 eggrc-wnn7_for-wnn8 wnn7egg-edep.el its-v309 vine-default-wnn7egg.el"
FILES="wnn7egg-cnv.el wnn7egg-leim.el wnn7egg-jsymbol.el wnn7egg-lib.el wnn7egg.el wnn7egg-com.el wnn7egg-rpc.el busyu.el"
FLAGS="--no-site-file -q -batch -l path.el -l ./wnn7egg-lib.el -f batch-byte-compile"


case "${FLAVOR}" in

    *)

	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."

	rm -rf ${ELCDIR}
	install -m 755 -d ${ELCDIR}

	# Byte compile
	(
	    cd ${ELDIR}
	    cp -r ${FILES} ${EL_ONLY} ${ELCDIR}
	    cd ${ELCDIR}

	    # Setup for Wnn8
	    if [ -f /usr/lib/wnn8/ja_JP/wnnenvrc ] \
		&& [ -x /usr/sbin/jserver ]; then
		cp -f eggrc-wnn7_for-wnn8 eggrc-wnn7
		echo "Note: already setup for Wnn8" \
		    > eggrc-wnn7_for-wnn8
	    fi
	    
	    echo '(setq load-path (cons "." load-path) byte-compile-warnings nil)'> path.el

	    ${FLAVOR} ${FLAGS} ${FILES} > CompilationLog 2>&1
	    rm -f ${FILES} path.el
	)

	gzip -9 ${ELCDIR}/CompilationLog

	if [ ! -d ${STARTDIR} ]; then
	    install -m 755 -d ${STARTDIR}
	fi

	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE};

	echo " done."

	;;

esac

exit 0;
